#ifndef MSP_NET_RESOLVE_H_
#define MSP_NET_RESOLVE_H_

#include <string>
#include "constants.h"

namespace Msp {
namespace Net {

class SockAddr;

/** Resolves host and service names into a socket address.  If host is empty,
the loopback address will be used.  If host is "*", the wildcard address will
be used.  If service is empty, a socket address with a null service will be
returned.  With the IP families, these are not very useful. */
SockAddr *resolve(const std::string &, const std::string &, Family = UNSPEC);

/** And overload of resolve() that takes host and service as a single string,
separated by a colon.  If the host part contains colons, such as is the case
with a numeric IPv6 address, it must be enclosed in brackets. */
SockAddr *resolve(const std::string &, Family = UNSPEC);

} // namespace Net
} // namespace Msp

#endif
